Bug 149468 - RHEL4: lockdev errs on /dev/input/ttyACM0 (3-component pathname)
Summary: RHEL4: lockdev errs on /dev/input/ttyACM0 (3-component pathname)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lockdev (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-02-23 13:03 UTC by Karel Zak
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-619
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 15:39:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:619 qe-ready SHIPPED_LIVE lockdev bug fix update 2005-10-05 04:00:00 UTC

Description Karel Zak 2005-02-23 13:03:54 UTC
+++ This bug was initially created as a clone of Bug #149467 +++

Description of problem:
/usr/sbin/lockdev works only for 2-component pathnames
("/dev/something") and does not check for 3-component pathnames such
as /dev/input/ttyACM0.  minicom and other applications expect
"/usr/sbin/lockdev -l /dev/arbitrary/path/name" to work, but it
doesn't, and the error diagnosis is cryptic and/or misleading.  Either
lockdev should work with an arbitrary pathname below /dev, or lockdev
should be verbose and informative about the error, or all applications
that use lockdev should be fixed to detect 3 or more components in a
pathname (and then adapt appropriately.)

Comment 7 Red Hat Bugzilla 2005-10-05 15:39:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-619.html



Note You need to log in before you can comment on or make changes to this bug.